export UID=$(id -u)
export GID=$(id -g)

export MAKEOPTS="-j$(cat /proc/cpuinfo | awk -F: '$1 ~ /cpu cores/ { print $2 }' | head -n 1 | tr -d ' ')"

export EDITOR=vim

if [ -n "$(command -v composer)" ]; then
    export PATH=$PATH:$(composer global config bin-dir --absolute -q)
fi

if [ -n "$(command -v rustc)" ]; then
    export RUST_SRC_PATH=$(rustc --print sysroot)/lib/rustlib/src/rust/library
fi

if [ -n "$(command -v clang)" ]; then
    export CC=clang
else
    export CC=gcc
fi

if [ -n "$(command -v clang++)" ]; then
    export CXX=clang++
else
    export CXX=g++
fi
